openSUSE 10 Security Update : uvcvideo-kmp-bigsmp (uvcvideo-kmp-bigsmp-5513)

Critical Nessus Plugin ID 34249


The remote openSUSE host is missing a security update.


The kernel driver uvcvideo was vulnerable to a buffer overflow in format descriptor parsing. (CVE-2008-3496)


Update the affected uvcvideo-kmp-bigsmp packages.

Plugin Details

Severity: Critical

ID: 34249

File Name: suse_uvcvideo-kmp-bigsmp-5513.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2008/09/22

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:uvcvideo-kmp-bigsmp, p-cpe:/a:novell:opensuse:uvcvideo-kmp-debug, p-cpe:/a:novell:opensuse:uvcvideo-kmp-default, p-cpe:/a:novell:opensuse:uvcvideo-kmp-xen, p-cpe:/a:novell:opensuse:uvcvideo-kmp-xenpae, cpe:/o:novell:opensuse:10.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2008/08/17

Reference Information

CVE: CVE-2008-3496

CWE: 119